Bug 287998 - Pictures and TOC in the attached document are not displaying in right position
Summary: Pictures and TOC in the attached document are not displaying in right position
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: doc (show other bugs)
Version: Git
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-01 16:05 UTC by swathi
Modified: 2013-07-23 19:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (45.50 KB, application/msword)
2011-12-01 16:05 UTC, swathi
Details
Screenshot in MS Office (205.43 KB, image/png)
2011-12-01 16:07 UTC, swathi
Details
Screenshot in Calligra Words (118.99 KB, image/png)
2011-12-01 16:08 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-12-01 16:05:54 UTC
Created attachment 66268 [details]
Test data

Version: git checkout 5992551fa6b6bf4e2d716728e086fd48ff905e33
      (Using KDE 4.6.3)                
     OS: Kubuntu 11.04
Test data is in Word 2003 format.
Open the same document in Calligra Words. 
Check the display of  Pictures and TOC.

Expected outcome:
TOC and Pictures should be displayed in right position.

Actual outcome:
Toc and Pictures are not displaying in right position.
Please check the screenshots attached.

Frequency:
Always
Comment 1 swathi 2011-12-01 16:07:56 UTC
Created attachment 66269 [details]
Screenshot in MS Office
Comment 2 swathi 2011-12-01 16:08:26 UTC
Created attachment 66270 [details]
Screenshot in Calligra Words
Comment 3 Camilla Boemann 2011-12-01 16:24:33 UTC
Note to self: The solution will probably involve turning the DummyDocumentLayout class into a fullblown proxy for the real KoTextDocumentLayout.

In some ways it's a junior job, but it may need more than just being a proxy and not all forwarding may be straight.
Comment 4 Camilla Boemann 2013-01-12 17:14:54 UTC
Moving to filters. It's a filter bug and not layout as I first assumed
Comment 5 Matus Uzak 2013-07-22 22:30:36 UTC
I'm not sure I understand it right.  Text "TC "Picture BMP"" should not be displayed?

Attachment 66269 [details] displays an MS Word version > 2007.  Older version used to display the field argument of a broken field.  And we do have a broken TC field here.  There's no field data for character positions at field start and field end.  Re-checked in MS Word 2003 and 2007,  the field argument gets surrounded by brackets "{TC "Picture BMP"}".

Those brackets make it look special.  Do we want those too? ;)

I don't like those 40 empty lines in front of TOC, those should be in front of the 1st picture.
Comment 6 Matus Uzak 2013-07-23 19:11:26 UTC
Git commit 7674a9573c433520c94fbae0709fbc2c917b8381 by Matus Uzak.
Committed on 23/07/2013 at 19:10.
Pushed by uzak into branch 'master'.

doc: Nested paragraphs allowed inside TOC - text:p is a valid
child element of text:index-body.

M  +21   -15   filters/words/msword-odf/texthandler.cpp

http://commits.kde.org/calligra/7674a9573c433520c94fbae0709fbc2c917b8381